Get the status of a user's consumer application
curl --request GET \
--url https://api-dev.rain.xyz/v1/issuing/applications/user/{userId} \
--header 'Api-Key: <api-key>'import requests
url = "https://api-dev.rain.xyz/v1/issuing/applications/user/{userId}"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api-dev.rain.xyz/v1/issuing/applications/user/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicationStatus": "approved",
"externalId": "<string>",
"applicationExternalVerificationLink": {
"url": "<string>",
"params": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"applicationCompletionLink": {
"url": "<string>",
"params": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"applicationReason": "<string>"
}Applications
Get the status of a user's consumer application
GET
/
issuing
/
applications
/
user
/
{userId}
Get the status of a user's consumer application
Authorizations
Path Parameters
Id of the user whose application to get
Response
Successful operation
The user application's id
Available options:
approved, pending, needsInformation, needsVerification, manualReview, denied, locked, canceled An optional tenant-defined identifier for this user. Must be unique within the tenant.
Required string length:
1 - 255The link to the external verification page for the application
Show child attributes
Show child attributes
The link to the completion page for the application
Show child attributes
Show child attributes
The reason for the application status